/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\artifacts\RobeOfTheShadowlords.cs
Lines of code: 48
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class RobeOfTheShadowlords : MaleElvenRobe
	{
		public override int ArtifactRarity{ get{ return 15; } }
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			{
				list.Add("D E M I T E L");
			}
		}

		[Constructable]
		public RobeOfTheShadowlords()
		{
			Name = "Robe Of The Shadowlords";
			Hue = 1109;
			Attributes.RegenMana = 5;
			Attributes.BonusMana = 20;
		}


		public RobeOfTheShadowlords( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			switch ( version )
			{
				case 0:
				{
					Resistances.Physical = 0;
					Resistances.Fire = 0;
					Resistances.Cold = 0;
					Resistances.Energy = 10;
					break;
				}
			}
		}
	}
}